<template>
  <div class="message">
    <vue-markdown :source="message.message"></vue-markdown>
  </div>
</template>
<script lang="ts">
import Vue from 'vue';
//  @ts-ignore
import VueMarkdown from 'vue-markdown';
export default Vue.component('Message', {
  props: ['message'],
  components: {
    VueMarkdown,
  },
});
</script>

<style lang="scss" scoped>
.message {
  padding: 10px 50px;
  border: 1px solid lighten(#000, 80%);
  min-width: 50%;
  border-radius: 7px;
  font-size: 14px;
  text-align: initial;
  &:hover {
    background-color: rgba(0, 0, 0, 0.05);
  }
  &:nth-child(even) {
    align-self: flex-end;
    border-top-right-radius: 0;
  }
  &:nth-child(odd) {
    align-self: flex-start;
    border-top-left-radius: 0;
  }
}
</style>

